#include <sys/types.h>
#include <sys/socket.h>
#include <fcntl.h>

int
set_socket_options (s)
	int s;
{
	int flags;
	int opt;

	if ((flags = fcntl(s, F_GETFL, 0)) == -1) return -1;

	flags |= O_NONBLOCK;

	if (fcntl(s, F_SETFL, flags) == -1) return -1;


	/* respond to data immediately */
	opt = 1;

	if (setsockopt(s, SOL_SOCKET, SO_REUSEADDR, &opt, sizeof(opt)))
		return -1;

#if 0
	if (setsockopt(s, SOL_SOCKET, SO_SNDLOWAT,  &opt, sizeof(opt)))
		return -1;

	if (setsockopt(s, SOL_SOCKET, SO_RCVLOWAT,  &opt, sizeof(opt)))
		return -1;
#endif

	return 0;
}
